Batch update availability across multiple properties (max 500)
Availability · PATCH /v1/availability/batch
Batch update availability across multiple properties (max 500)
PATCH
/v1/availability/batchRequest
curl -X PATCH https://api.repull.dev/v1/availability/batch \
-H "Authorization: Bearer $REPULL_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"propertyIds": [
123,
124
],
"dates": [
"2026-06-01",
"2026-06-02"
],
"price": 299
}'Response
{
"data": {
"listingIds": [123, 456],
"dates": 1,
"synced": { "attempted": 4, "succeeded": 4, "failed": 0, "authErrors": 0 }
}
}Body Parameters
propertyIdsarrayRequiredProperty ids to write, max 500: `[123, 456]`
datesarrayRequiredNights to write, as ISO dates, applied to every property listed
availablebooleanOpen or block the nights
pricenumberNightly rate
minNightsintegerMinimum stay for an arrival on these nights
maxNightsintegerMaximum stay for an arrival on these nights
AI